_point_get< T >

point input helper More...

## Public Types

typedef point_basic< T >::size_type | size_type

## Public Member Functions

| _point_get (size_type d1)
std::istream & | operator() (std::istream &is, point_basic< T > &x)

## Public Attributes

size_type | d

## Detailed Description

### template<class T>
struct rheolef::_point_get< T >

point input helper

Definition at line 155 of file geo.h.

## Member Typedef Documentation

## size_type

typedef point_basic<T>::size_type size_type

Definition at line 156 of file geo.h.

## Constructor & Destructor Documentation

## _point_get()

_point_get | ( | size_type | d1 | ) |

Definition at line 157 of file geo.h.

## Member Function Documentation

## operator()()

std::istream& operator() | ( | std::istream & | is,
|  | point_basic< T > & | x
| ) |  |

Definition at line 159 of file geo.h.

## Member Data Documentation

## d

size_type d

Definition at line 158 of file geo.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/geo.h